aboutsummaryrefslogtreecommitdiffstats
path: root/testing/unbound/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2011-06-09 14:20:16 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2011-06-09 14:20:16 +0000
commit41b2fd1e4233c48d854968b309fd3fa342990fad (patch)
tree2e12400c23ddd4487d202854aca0e531eb6bf580 /testing/unbound/APKBUILD
parente05b4596e175797c77c673d90e8f43d5d060780e (diff)
downloadaports-41b2fd1e4233c48d854968b309fd3fa342990fad.tar.gz
aports-41b2fd1e4233c48d854968b309fd3fa342990fad.tar.bz2
aports-41b2fd1e4233c48d854968b309fd3fa342990fad.tar.xz
testing/unbound: new aport
ref #683
Diffstat (limited to 'testing/unbound/APKBUILD')
-rw-r--r--testing/unbound/APKBUILD52
1 files changed, 52 insertions, 0 deletions
diff --git a/testing/unbound/APKBUILD b/testing/unbound/APKBUILD
new file mode 100644
index 0000000000..9ea50d6529
--- /dev/null
+++ b/testing/unbound/APKBUILD
@@ -0,0 +1,52 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer:
+pkgname=unbound
+pkgver=1.4.10
+pkgrel=0
+pkgdesc="Unbound is a validating, recursive, and caching DNS resolver"
+url="http://unbound.net/"
+arch="all"
+license="Custom"
+depends=
+depends_dev="openssl-dev expat-dev ldns-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://unbound.net/downloads/unbound-$pkgver.tar.gz
+unbound.initd
+unbound.confd"
+
+_builddir="$srcdir"/unbound-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ install -m755 -D "$srcdir"/unbound.initd \
+ "$pkgdir"/etc/init.d/unbound || return 1
+ install -m644 -D "$srcdir"/unbound.confd \
+ "$pkgdir"/etc/conf.d/unbound || return 1
+}
+
+md5sums="6bbae378db76abfe0bd72c404e484597 unbound-1.4.10.tar.gz
+941663107bfd428f54d2cad11b0cefc9 unbound.initd
+10f8a73d14160571acea41fc89d914e7 unbound.confd"